%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME terminal
Name:		gnome-terminal
Version:	3.42.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Terminals
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dconf) >= 0.12.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.33.2
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.9
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(vte-2.91) >= 0.54.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	libxml2-utils
BuildRequires:	intltool >= 0.50.0
BuildRequires:	libxslt-proc
BuildRequires:	itstool
BuildRequires:	vala-devel
BuildRequires:  sd

%description
This is the GNOME terminal emulator application.


%prep
%setup -q

%build
%meson \
    -Ddebug=false \
    -Ddocs=false \
    -Dnautilus_extension=false \
    -Dsearch_provider=false

%meson_build

%install
%meson_install

#we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}/usr/lib/systemd

ln -fs %{_bindir}/%{name} %{buildroot}/%{_bindir}/gterminal
sd "Name=Terminal" "Name=GTerminal" %{buildroot}/%{_datadir}/applications/org.gnome.Terminal.desktop
sd "GNOME;GTK;System;TerminalEmulator;" "GTK;TerminalEmulator;X-MandrivaLinux-System-Terminals;" \
%{buildroot}/%{_datadir}/applications/org.gnome.Terminal.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/gterminal
%{_datadir}/applications/org.gnome.Terminal.desktop
%{_libexecdir}/%{name}-server
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/metainfo
%{_iconsdir}/hicolor/*/apps/org.gnome.Terminal*.svg
%{_libdir}/gnome-terminal/gschemas.compiled

%changelog
* Wed Jan 12 2022 tex - 3.42.2-1pclos2022
- new version

* Sat Jun 05 2021 tex - 3.40.2-1pclos2021
- new version

* Fri May 07 2021 tex - 3.40.1-1pclos2021
- new version

* Fri Apr 02 2021 tex - 3.40.0-1pclos2021
- new version

* Sun Jan 10 2021 tex - 3.38.2-1pclos2021
- new version

* Mon Oct 12 2020 tex - 3.38.1-1pclos2020
- new version

* Tue Sep 15 2020 tex - 3.38.0-1pclos2020
- new version

* Sat Mar 28 2020 tex - 3.36.1.1-1pclos2020
- new version

* Sat Mar 28 2020 tex - 3.36.1-1pclos2020
- new version

